org.apache.calcite.avatica.remote

## Class Service.PrepareAndExecuteBatchRequest

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Request
    - - org.apache.calcite.avatica.remote.Service.PrepareAndExecuteBatchRequest

Enclosing interface:
  Service

    public static class Service.PrepareAndExecuteBatchRequest
    extends Service.Request

Request to prepare a statement and execute a series of batch commands in one call.

### Field Summary

Fields
`String` `connectionId`
`List<String>` `sqlCommands`
`int` `statementId`

### Fields inherited from class org.apache.calcite.avatica.remote.Service.Base

`PRIME`

### Constructor Summary

Constructors
Constructor and Description
`Service.PrepareAndExecuteBatchRequest()`
`Service.PrepareAndExecuteBatchRequest(String connectionId, int statementId, List<String> sqlCommands)`

### Method Summary

Methods
`Service.ExecuteBatchResponse` `accept(Service service)`
`Service.PrepareAndExecuteBatchRequest` `deserialize(com.google.protobuf.Message genericMsg)`
`boolean` `equals(Object o)`
`int` `hashCode()`
`Requests.PrepareAndExecuteBatchRequest` `serialize()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### connectionId

    public final String connectionId

#### sqlCommands

    public final List<String> sqlCommands

#### statementId

    public final int statementId

### Constructor Detail

#### Service.PrepareAndExecuteBatchRequest

    Service.PrepareAndExecuteBatchRequest()

#### Service.PrepareAndExecuteBatchRequest

    public Service.PrepareAndExecuteBatchRequest(String connectionId,
                                         int statementId,
                                         List<String> sqlCommands)

### Method Detail

#### accept

    public Service.ExecuteBatchResponse accept(Service service)

Specified by:
  `accept` in class `Service.Request`

#### serialize

    public Requests.PrepareAndExecuteBatchRequest serialize()

Specified by:
  `serialize` in class `Service.Request`

#### deserialize

    public Service.PrepareAndExecuteBatchRequest deserialize(com.google.protobuf.Message genericMsg)

Specified by:
  `deserialize` in class `Service.Request`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`